> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all claims for a specific customer

> This endpoint returns a list of all claims made by the customer, including active, inactive, or resolved claims.



## OpenAPI

````yaml get /api/v1/customers/{id}/claims/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/customers/{id}/claims/:
    get:
      tags:
        - Customers
      summary: Retrieve all claims for a specific customer
      description: >-
        This endpoint returns a list of all claims made by the customer,
        including active, inactive, or resolved claims.
      operationId: v1_customers_claims_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomerClaimList'
              examples:
                ViewCustomerClaims:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?offset=400&limit=100
                    previous: http://api.example.org/accounts/?offset=200&limit=100
                    results:
                      - data:
                          - claim_id: 97b8c38f-6015-4ad3-9a2d-d8f2dba48146
                            policy_id: 8dd84bd4-a68a-451b-8f85-8490042f4d71
                            claim_status: pending
                            claim_amount: '1500.00'
                            date_filed: '2024-12-20'
                            date_resolved: 'null'
                  summary: View customer claims
          description: View customer's claims
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PaginatedCustomerClaimList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CustomerClaim'
    CustomerClaim:
      type: object
      properties:
        claim_id:
          type: string
          format: uuid
          title: Unique ID used internally to reference and identify claim objects
          readOnly: true
        policy_id:
          type: string
          format: uuid
        claim_status:
          type: string
        claim_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        date_filed:
          type: string
          format: date
        date_resolved:
          type: string
          format: date
      required:
        - claim_amount
        - claim_id
        - claim_status
        - date_filed
        - date_resolved
        - policy_id
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````